Attribute VB_Name = "mdlCopyBar"
Option Explicit

Public Const PROGRESS_CANCEL = 1
Public Const PROGRESS_CONTINUE = 0
Public Const PROGRESS_QUIET = 3
Public Const PROGRESS_STOP = 2
Public Const COPY_FILE_FAIL_IF_EXISTS = &H1
Public Const COPY_FILE_RESTARTABLE = &H2

Public Declare Function CopyFileEx Lib "kernel32.dll" _
  Alias "CopyFileExA" ( _
  ByVal lpExistingFileName As String, _
  ByVal lpNewFileName As String, _
  ByVal lpProgressRoutine As Long, _
  lpData As Any, _
  ByRef pbCancel As Long, _
  ByVal dwCopyFlags As Long) As Long

Public bCancel As Long

Public glbProgBar As ProgressBar

Public Function ProgressbarFunction( _
  ByVal TotalFileSize As Currency, _
  ByVal TotalBytesTransferred As Currency, _
  ByVal StreamSize As Currency, _
  ByVal StreamBytesTransferred As Currency, _
  ByVal dwStreamNumber As Long, _
  ByVal dwCallbackReason As Long, _
  ByVal hSourceFile As Long, _
  ByVal hDestinationFile As Long, _
  ByVal lpData As Long) As Long

  If Not glbProgBar Is Nothing Then
    With glbProgBar
      .Value = CStr(Int((TotalBytesTransferred * 10000) / _
        (TotalFileSize * 10000) * 100))
    End With
    frmPlaylistExporter.stbStatus.Panels(3).Text = LangProgress & ": " & glbProgBar.Value & "%"
    DoEvents
  End If
  
  ProgressbarFunction = PROGRESS_CONTINUE
End Function

